
// QTreeRevDialog: a dialog with info about a rev. 

#ifndef QTREEREVDIALOG_H

#include <clientapi.h>
#include <qdialog.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qprocess.h>
#include <qpushbutton.h>
#include <qsettings.h>

#include "changesorter.h"
#include "filehead.h"
#include "filelogcache.h"

#endif // QTREEREVDIALOG_H

class QTreeRevDialog : public QDialog  
{
	Q_OBJECT
public:
	QTreeRevDialog( QWidget* parent, FileRev* rev );
	virtual ~QTreeRevDialog();

public slots:
	// call P4Win's Revision History dialog 
	void RevHistory();

private:
	FileRev* fr;

	QLabel* filerevname;

	QLabel* revinfo;

	QLabel* integfrom;
	QLabel* integinto;

	QPushButton* ok;
	QHBoxLayout* oklayout;

	QPushButton* revhist;

	QVBoxLayout* mainlayout;
};
