#include <qbuttongroup.h>
#include <qhbox.h>
#include <qimage.h>

#include "CraftButton.h"
#include "Garden.h"

class CraftDialog :
	public QHBox
{
	Q_OBJECT

public:
	CraftDialog(void);
	~CraftDialog(void);

public slots:
	void nullslot() {};
	void ChangeColor( int id );
	void ChangeDepth( int d );
	void Generate( CraftButton* b );
	void SaveFavorite();

private:
	void FillButton( CraftButton* b ); 
	QImage GetImage( Garden* g );
	void MakeUnique();
	void UpdateColors();

	int depth;

	QColor b1;
	QColor b2;
	QColor f1;
	QColor f2;

	QLabel* favorite;

	CraftButton** choices;
	CraftButton* best;

	QButtonGroup* colors;
};
