//Must include <clientapi.h> to use this header.

class DAFile;
class DARev;

class DAUserFilelog :
	public ClientUser
{
public:
	DAUserFilelog( DAFile* f, bool* tag );
	~DAUserFilelog(void);

	void HandleError( Error* );
	void OutputInfo( char level, const char* data );
	void OutputStat( StrDict* varList );

private:
	DAFile* file;
	DARev* rev;
	bool done;
	bool* tagFlag;
};
