#include "clientapi.h"
#include "strtable.h"

#include "globals.h"

#include "clientgremlin.h"

#include "clientgremlindir.h"

ClientGremlinDir::ClientGremlinDir( ClientApi* client )
:ClientGremlin( client, "dirs" )
{
	dirs1.Clear();
	dirs2.Clear();
	dirs3.Clear();
	dirs4.Clear();
	dirs5.Clear();
}

ClientGremlinDir::~ClientGremlinDir()
{

}

void ClientGremlinDir::OutputInfo( char level, const_char* data )
{
	if ( !active )
	{
		active = true;
		dcount = 0;
	}
	switch ( dirlevel )
	{
	case 1:
		dirs1.VSetVar( StrNum( dcount++ ), StrRef( data ) );
		break;
	case 2:
		dirs2.VSetVar( StrNum( dcount++ ), StrRef( data ) );
		break;
	case 3:
		dirs3.VSetVar( StrNum( dcount++ ), StrRef( data ) );
		break;
	case 4:
		dirs4.VSetVar( StrNum( dcount++ ), StrRef( data ) );
		break;
	case 5:
		dirs5.VSetVar( StrNum( dcount++ ), StrRef( data ) );
		break;
	}
}
	
