
// QTreeJobDialog: similar to a QTreeChangeDialog, but
// it autoscrolls to an anchor which marks the start of
// the job content. 

#ifndef QTREEJOBDIALOG_H

#include <clientapi.h>
#include <qdialog.h>
#include <qlayout.h>
#include <qpushbutton.h>
#include <qtextedit.h>

#endif //QTREEJOBDIALOG_H

class QTreeJobDialog : public QDialog  
{
	Q_OBJECT
public:
	QTreeJobDialog( QWidget* parent, StrBuf desc );
	~QTreeJobDialog();

private:
	QTextEdit* descview;

	QPushButton* ok;
	QHBoxLayout* oklayout;

	QVBoxLayout* mainlayout;
};