
// Interface for QTreeRevText: a wrapper for QCanvasText which 
// provides public access to draw() and specifies a default font   

class QTreeRevText : public QCanvasText
{
public:
	QTreeRevText( QCanvas* canvas, char* rev );
	virtual ~QTreeRevText();

	// public instead of protected 
	void draw( QPainter& p ) { QCanvasText::draw( p ); } ;
};
